Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041007
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2019-06-03 09:482019-06-07 08:09
ReporterngarciaView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision49221a5152f2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041007: Do not open the calendar when introducing a date and clicking on Enter in a date field of a date range filter

DescriptionDo not open the calendar when introducing a date and clicking on Enter in a date field of a date range filter
Steps To ReproduceAs group admin role:
   Go to Sales Order window
   In Order Date column, open the date range filter (Show Date Chooser)
   Enter a date in the From field
   Click on Enter
   Check the calendar is opened
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00162973.0RC7 closedmtaal I cannot open the date picker using the keyboard 

-  Notes
(0112370)
dbaz (developer)
2019-06-04 10:33

In the regular form there is no shortcut to open the calendar widget (
http://wiki.openbravo.com/wiki/User_Interface_Introduction#Form [^] ), so here the same behavior should apply.
(0112391)
hgbot (developer)
2019-06-04 17:55

Repository: erp/devel/pi
Changeset: 49221a5152f2ac225659b086e7703c85f2c8b534
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jun 04 17:06:14 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/49221a5152f2ac225659b086e7703c85f2c8b534 [^]

fixes bug 41007: Don't open pickers of date range filter when pressing enter

  In the standard form view there is no shortcut to open the calendar picker. The date fields of the date range filter pop-up should behave in the same way.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0112419)
hudsonbot (developer)
2019-06-05 13:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8e20cc58f41d [^]
Maturity status: Test
(0112498)
alostale (developer)
2019-06-07 08:09

reviewed + tested

- Issue History
Date Modified Username Field Change
2019-06-03 09:48 ngarcia New Issue
2019-06-03 09:48 ngarcia Assigned To => platform
2019-06-03 09:48 ngarcia Modules => Core
2019-06-03 09:48 ngarcia Triggers an Emergency Pack => No
2019-06-03 09:48 ngarcia Issue Monitored: networkb
2019-06-04 10:33 dbaz Note Added: 0112370
2019-06-04 11:47 alostale Status new => acknowledged
2019-06-04 16:30 caristu Assigned To platform => caristu
2019-06-04 17:55 hgbot Checkin
2019-06-04 17:55 hgbot Note Added: 0112391
2019-06-04 17:55 hgbot Status acknowledged => resolved
2019-06-04 17:55 hgbot Resolution open => fixed
2019-06-04 17:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/49221a5152f2ac225659b086e7703c85f2c8b534 [^]
2019-06-04 17:55 caristu Review Assigned To => alostale
2019-06-05 13:41 hudsonbot Checkin
2019-06-05 13:41 hudsonbot Note Added: 0112419
2019-06-06 09:58 dbaz Relationship added related to 0016297
2019-06-07 08:09 alostale Note Added: 0112498
2019-06-07 08:09 alostale Status resolved => closed
2019-06-07 08:09 alostale Fixed in Version => 3.0PR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker